commit eaac7ac98641240311670dae3cc18e66bb488995
Author: freddy77 <freddy77>
Date:   Wed Aug 27 07:59:25 2008 +0000

    don't test for cursors if not implemented

diff --git a/ChangeLog b/ChangeLog
index 568c467..4315723 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Wed Aug 27 09:57:20 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/rowset.c:
+	- don't test for cursors if not implemented
+
 Wed Aug 27 09:43:45 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/unittests/data.c:
 	- don't test nvarchar if Sybase
@@ -590,4 +594,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2595 2008/08/27 07:44:38 freddy77 Exp $
+$Id: ChangeLog,v 1.2596 2008/08/27 07:59:25 freddy77 Exp $
diff --git a/src/odbc/unittests/rowset.c b/src/odbc/unittests/rowset.c
index 93a0b2f..ad4b9fa 100644
--- a/src/odbc/unittests/rowset.c
+++ b/src/odbc/unittests/rowset.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: rowset.c,v 1.2 2008/02/29 10:54:53 freddy77 Exp $";
+static char software_version[] = "$Id: rowset.c,v 1.3 2008/08/27 07:59:25 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char odbc_err[256];
@@ -67,6 +67,8 @@ main(int argc, char *argv[])
 	test_err(-1);
 	test_err(0);
 
+	CheckCursor();
+
 	/* set some correct values */
 	CHK(SQLSetStmtAttr, (Statement, SQL_ROWSET_SIZE, (SQLPOINTER) int2ptr(2), 0));
 	CHK(SQLSetStmtAttr, (Statement, SQL_ROWSET_SIZE, (SQLPOINTER) int2ptr(1), 0));

